Tds Compliance Check
curl --request GET \
--url https://production.deepvue.tech/v1/verification/tax-payer/tds/206-ab \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <api-key>'import requests
url = "https://production.deepvue.tech/v1/verification/tax-payer/tds/206-ab"
headers = {
"Authorization": "Bearer <token>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'x-api-key': '<api-key>'}
};
fetch('https://production.deepvue.tech/v1/verification/tax-payer/tds/206-ab', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://production.deepvue.tech/v1/verification/tax-payer/tds/206-ab",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://production.deepvue.tech/v1/verification/tax-payer/tds/206-ab"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://production.deepvue.tech/v1/verification/tax-payer/tds/206-ab")
.header("Authorization", "Bearer <token>")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://production.deepvue.tech/v1/verification/tax-payer/tds/206-ab")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"code": 200,
"timestamp": 1738238691048,
"transaction_id": "45871807dd2a4ee489e9557b02dab610",
"sub_code": "SUCCESS",
"message": "TDS Check Performed Successfully.",
"data": {
"pan_number": "CIHGN0000A",
"compliant": true,
"pan_allotment_date": "2020-11-17",
"masked_name": "MXXXXXXD NXXXR ",
"pan_aadhaar_linked": "linked",
"specified_person_under_206": "no",
"pan_status": "operative",
"valid_pan": "True"
}
}{
"detail": "Inactive client_id"
}{
"detail": "Not authenticated"
}{
"detail": "Not a valid token"
}{
"code": 422,
"timestamp": 1738238378221,
"transaction_id": "5b647557057a4353a6857e3d864ad734",
"sub_code": "INVALID_INPUT",
"message": "Invalid Pan Pattern."
}{
"detail": "Internal Server Error"
}{
"code": null,
"timestamp": null,
"transaction_id": "string",
"message": "Source Unavailable"
}KYB
TDS 206 Compliance
API to perform compliance check under Section 206AB & 206CCA using PAN.
The API helps in identifying whether a given PAN comes under a specified person under Section 206AB & CCA. This ensures that the deductor/collector remains TDS/TCS compliant by deducting/collecting at an appropriate rate and does not face any issues when filing their returns.
GET
/
v1
/
verification
/
tax-payer
/
tds
/
206-ab
Tds Compliance Check
curl --request GET \
--url https://production.deepvue.tech/v1/verification/tax-payer/tds/206-ab \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <api-key>'import requests
url = "https://production.deepvue.tech/v1/verification/tax-payer/tds/206-ab"
headers = {
"Authorization": "Bearer <token>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'x-api-key': '<api-key>'}
};
fetch('https://production.deepvue.tech/v1/verification/tax-payer/tds/206-ab', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://production.deepvue.tech/v1/verification/tax-payer/tds/206-ab",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://production.deepvue.tech/v1/verification/tax-payer/tds/206-ab"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://production.deepvue.tech/v1/verification/tax-payer/tds/206-ab")
.header("Authorization", "Bearer <token>")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://production.deepvue.tech/v1/verification/tax-payer/tds/206-ab")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"code": 200,
"timestamp": 1738238691048,
"transaction_id": "45871807dd2a4ee489e9557b02dab610",
"sub_code": "SUCCESS",
"message": "TDS Check Performed Successfully.",
"data": {
"pan_number": "CIHGN0000A",
"compliant": true,
"pan_allotment_date": "2020-11-17",
"masked_name": "MXXXXXXD NXXXR ",
"pan_aadhaar_linked": "linked",
"specified_person_under_206": "no",
"pan_status": "operative",
"valid_pan": "True"
}
}{
"detail": "Inactive client_id"
}{
"detail": "Not authenticated"
}{
"detail": "Not a valid token"
}{
"code": 422,
"timestamp": 1738238378221,
"transaction_id": "5b647557057a4353a6857e3d864ad734",
"sub_code": "INVALID_INPUT",
"message": "Invalid Pan Pattern."
}{
"detail": "Internal Server Error"
}{
"code": null,
"timestamp": null,
"transaction_id": "string",
"message": "Source Unavailable"
}Authorizations
ACCESS_TOKEN generated from the authorize endpoint. Should be included in the header as Bearer .
The CLIENT_SECRET provided to you. This header parameter is required for authentication purposes.
Query Parameters
The PAN (Permanent Account Number) number of the taxpayer for which TDS (Tax Deducted at Source) compliance check is being performed.